Create a new dynamic Pix QRCode
curl --request POST \
--url https://api.sandbox.trio.com.br/banking/cashin/pix/qrcodes \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 10,
"counterparty": {
"bank_accounts": [
{
"branch": "1",
"digit": "1",
"ispb": "00000001",
"number": "80808080",
"type": "checking"
}
],
"name": "counterparty_name",
"tax_number": "05964110000197"
},
"description": "description",
"expiration_datetime": "2026-07-02T19:00:14.934158Z",
"external_id": "external_id",
"options": {
"allow_change_the_amount_on_payment": true,
"show_qrcode_image": true
},
"virtual_account_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2"
}
'import requests
url = "https://api.sandbox.trio.com.br/banking/cashin/pix/qrcodes"
payload = {
"amount": 10,
"counterparty": {
"bank_accounts": [
{
"branch": "1",
"digit": "1",
"ispb": "00000001",
"number": "80808080",
"type": "checking"
}
],
"name": "counterparty_name",
"tax_number": "05964110000197"
},
"description": "description",
"expiration_datetime": "2026-07-02T19:00:14.934158Z",
"external_id": "external_id",
"options": {
"allow_change_the_amount_on_payment": True,
"show_qrcode_image": True
},
"virtual_account_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 10,
counterparty: {
bank_accounts: [
{
branch: '1',
digit: '1',
ispb: '00000001',
number: '80808080',
type: 'checking'
}
],
name: 'counterparty_name',
tax_number: '05964110000197'
},
description: 'description',
expiration_datetime: '2026-07-02T19:00:14.934158Z',
external_id: 'external_id',
options: {allow_change_the_amount_on_payment: true, show_qrcode_image: true},
virtual_account_id: '41234d60-f6a9-4c9c-8cc3-5769ce9bbea2'
})
};
fetch('https://api.sandbox.trio.com.br/banking/cashin/pix/qrcodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"allow_change_the_amount_on_payment": true,
"amount": {
"amount": 10,
"currency": "BRL"
},
"counterparty_bank_accounts": [
{
"branch": "0001",
"digit": "12345",
"ispb": "00000001",
"number": "12345",
"type": "checking"
}
],
"counterparty_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"description": "QRCode 1",
"expiration_datetime": "2026-07-02T19:00:14.719681Z",
"external_id": "external_id",
"hash": "123",
"id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"image": "12389HV8AHRIKVHQ374HFULAGLE8FAH0H4F890QHO2HEFOA7EUG8FU",
"origin_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"origin_type": "none",
"stages": [
{
"id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"status": "created",
"timestamp": "2026-07-02T19:00:14.719682Z"
}
],
"status": "created",
"timestamp": "2026-07-02T19:00:14.719672Z",
"virtual_account_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2"
}
}{
"error": {
"error_code": "UNAUTHORIZED",
"error_message": "Invalid credentials"
}
}{
"error": {
"error_code": "INTEGRATION_ERROR",
"error_message": "An unexpected issue occurred"
}
}Dynamic QR Code (Pix)
Create dynamic QR code
Creates a dynamic QR code
POST
/
banking
/
cashin
/
pix
/
qrcodes
Create a new dynamic Pix QRCode
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Body
application/json
Pix QRCode payload
Body params to create a dynamic QRCode
Amount value of the dynamic QRCode
QRCode creation options
Show child attributes
Show child attributes
Virtual Account ID
Counterparty information
Show child attributes
Show child attributes
Description of the dynamic QRCode
Expiration datetime
External ID of the dynamic QRCode
Platform ID of the dynamic QRCode
Response
Pix QRCode
Response schema for a single dynamic QRCode
Response schema for a single dynamic QRCode
Show child attributes
Show child attributes
Example:
{
"allow_change_the_amount_on_payment": true,
"amount": { "amount": 10, "currency": "BRL" },
"counterparty_bank_accounts": [
{
"branch": "0001",
"digit": "12345",
"ispb": "00000001",
"number": "12345",
"type": "checking"
}
],
"counterparty_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"description": "QRCode 1",
"expiration_datetime": "2026-07-02T19:00:14.719681Z",
"external_id": "external_id",
"hash": "123",
"id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"image": "12389HV8AHRIKVHQ374HFULAGLE8FAH0H4F890QHO2HEFOA7EUG8FU",
"origin_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"origin_type": "none",
"stages": [
{
"id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2",
"status": "created",
"timestamp": "2026-07-02T19:00:14.719682Z"
}
],
"status": "created",
"timestamp": "2026-07-02T19:00:14.719672Z",
"virtual_account_id": "41234d60-f6a9-4c9c-8cc3-5769ce9bbea2"
}
⌘I

